Loading...
Searching...
No Matches
Opm::VcfvStencil< Scalar, GridView >::SubControlVolumeFace Struct Reference

interior face of a sub control volume More...

`#include <vcfvstencil.hh>`

## Public Member Functions

const DimVector & | normal () const
unsigned short | interiorIndex () const
unsigned short | exteriorIndex () const
Scalar | area () const
const LocalPosition & | localPos () const
const GlobalPosition & | integrationPos () const

## Public Attributes

unsigned short | i
| scvf seperates corner i and j of elem
unsigned short | j
LocalPosition | ipLocal_
| integration point in local coords
GlobalPosition | ipGlobal_
| integration point in global coords
DimVector | normal_
| normal on face pointing to CV j or outward of the domain with length equal to |scvf|
Scalar | area_
| area of face

## Detailed Description

template<class Scalar, class GridView>
struct Opm::VcfvStencil< Scalar, GridView >::SubControlVolumeFace

interior face of a sub control volume

The documentation for this struct was generated from the following file:

- opm/models/discretization/vcfv/vcfvstencil.hh